# Uses of Interface
org.opensaml.storage.EnumeratableStorageService

Packages that use EnumeratableStorageService
Package
Description
org.opensaml.storage
Interfaces and classes for storing state data of the type used in replay caches, conversation identifiers, etc.
org.opensaml.storage.impl
Storage-related implementation classes.
org.opensaml.storage.impl.client
Implementation of `StorageService` that unifies cookie and HTML Local Storage.
org.opensaml.storage.testing

## Uses of EnumeratableStorageService in org.opensaml.storage

Classes in org.opensaml.storage that implement EnumeratableStorageService
Modifier and Type
Class
Description
`class`
`AbstractMapBackedStorageService`
Partial implementation of `StorageService` that stores data in-memory with no persistence using a simple map.

## Uses of EnumeratableStorageService in org.opensaml.storage.impl

Classes in org.opensaml.storage.impl that implement EnumeratableStorageService
Modifier and Type
Class
Description
`class`
`MemoryStorageService`
Implementation of `AbstractMapBackedStorageService` that stores data in-memory in a shared data structure with no persistence.

## Uses of EnumeratableStorageService in org.opensaml.storage.impl.client

Classes in org.opensaml.storage.impl.client that implement EnumeratableStorageService
Modifier and Type
Class
Description
`class`
`ClientStorageService`
Implementation of `StorageService` that stores data in-memory in a shared session attribute.

## Uses of EnumeratableStorageService in org.opensaml.storage.testing

Fields in org.opensaml.storage.testing declared as EnumeratableStorageService
Modifier and Type
Field
Description
`protected EnumeratableStorageService`
StorageServiceTest.`shared`
Service being tested.
Methods in org.opensaml.storage.testing that return EnumeratableStorageService
Modifier and Type
Method
Description
`protected abstract EnumeratableStorageService`
StorageServiceTest.`getStorageService()`
Returns a fresh service instance to test.